OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
RWStepVisual

# RWStepVisual_RWSurfaceStyleSegmentationCurve Class Reference

Read & Write Module for SurfaceStyleSegmentationCurve
.

`#include <RWStepVisual_RWSurfaceStyleSegmentationCurve.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepVisual_RWSurfaceStyleSegmentationCurve ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepVisual_SurfaceStyleSegmentationCurve)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepVisual_SurfaceStyleSegmentationCurve)&ent) const
Standard_EXPORT void | Share (const Handle(StepVisual_SurfaceStyleSegmentationCurve)&ent, Interface_EntityIterator &iter) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepVisual_RWSurfaceStyleSegmentationCurve::RWStepVisual_RWSurfaceStyleSegmentationCurve | ( |  | ) |

## Member Function Documentation

void RWStepVisual_RWSurfaceStyleSegmentationCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepVisual_RWSurfaceStyleSegmentationCurve::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepVisual_RWSurfaceStyleSegmentationCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepVisual_RWSurfaceStyleSegmentationCurve::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepVisual_SurfaceStyleSegmentationCurve)& | ent
| ) | const

Standard_EXPORT void RWStepVisual_RWSurfaceStyleSegmentationCurve::Share | ( | const Handle(StepVisual_SurfaceStyleSegmentationCurve)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepVisual_RWSurfaceStyleSegmentationCurve::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepVisual_SurfaceStyleSegmentationCurve)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepVisual_RWSurfaceStyleSegmentationCurve.hxx